/**
 * RotateArray.js
 * --------------
 * Exports a very simple function that knows how
 * to rotate an array, as per the discussion in the
 * problem statement.
 */

"use strict";

/**
 * Function: rotateArray
 * ---------------------
 * Simple function that removes the first
 * k elements of an array and appends them to the
 * end, for any nonnegative value of k less than
 * or equal to the array length.  The function
 * doesn't return anything, but rather relies on
 * the fact that the array is shared by reference and
 * thus updated in place.
 */
function rotateArray(array, k) {
	for (let i = 0; i < k; i++) {
		array.push(array.shift());
	}
}

/**
 * Function: TestRotateArray
 * -------------------------
 * Exercises the rotate array function to demonstrate that
 * it works as expected.
 */
function TestRotateArray() {
	let numbers = [0, 1, 2, 3, 4, 5, 6, 7, 8, 9];
	console.log(numbers);
	rotateArray(numbers, 1);
	console.log(numbers);

	let langauges = ["Pascal", "C", "Java", "JavaScript"];
	console.log(langauges);
	rotateArray(langauges, 3);
	console.log(langauges);	
}
